# Reminders (Swift)

*(Work in progress)*

This is a simple reminders app I'm making in order to get familiar with **Swift**.


## Goal

This app will let you:

* Add and manage scheduled reminders, and location-based reminders.
* Add and manage a list of favourite locations.

## Current State

* Most of the UI has been made.
* Core Data has been implemented.
* It's possible to add/edit/delete reminder/location entries.
* It's possible to add scheduled and location-based notifications.


## Next Steps

* Add OnEntry/OnExit region options.
* Add Undo/Redo feature?
* Try out either RxSwift or ReactiveSwift?
